Bug 1091375 - Review Request: tmate - Instant terminal sharing
Summary: Review Request: tmate - Instant terminal sharing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-25 12:49 UTC by Andreas Schneider
Modified: 2014-05-08 10:02 UTC (History)
3 users (show)

Fixed In Version: tmate-1.8.9-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-08 10:02:33 UTC
Type: ---
jhrozek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Schneider 2014-04-25 12:49:40 UTC
Spec URL: http://xor.cryptomilk.org/rpm/tmate/tmate.spec
SRPM URL: http://xor.cryptomilk.org/rpm/tmate/tmate-1.8.9-1.src.rpm
Description: Tmate is a fork of tmux providing an instant pairing solution.
Fedora Account System Username: asn

Comment 1 Jakub Hrozek 2014-04-28 16:15:57 UTC
I reviewed the package on IRC and requested some changes:
* Source0 must point to the upstream tarball
* %makeinstall should not be used
* %make %{?_smp_mflags} should be used instead of -j%jobs magic
* BuildRequires gcc-c++ is not needed

Comment 2 Andreas Schneider 2014-04-29 11:07:22 UTC
Spec URL: http://xor.cryptomilk.org/rpm/tmate/tmate.spec
SRPM URL: http://xor.cryptomilk.org/rpm/tmate/tmate-1.8.9-2.src.rpm

I've fixed all the points above.

Comment 3 Jakub Hrozek 2014-04-29 11:57:41 UTC
rpmlint output:

Rpmlint
-------
Checking: tmate-1.8.9-2.x86_64.rpm
          tmate-1.8.9-2.src.rpm
tmate.x86_64: W: spelling-error %description -l en_US tmux -> tux
tmate.x86_64: E: call-to-mktemp /usr/bin/tmate
tmate.src: W: spelling-error %description -l en_US tmux -> tux
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint tmate
tmate.x86_64: W: spelling-error %description -l en_US tmux -> tux
tmate.x86_64: E: call-to-mktemp /usr/bin/tmate
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'

The call to mktemp should be solved at the upstream level, not in the package. The typo is not a typo, just a spurious rpmlint warning.

Comment 4 Jakub Hrozek 2014-04-29 12:02:10 UTC
Koji build looks good:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6793929

The specfile looks good to me now, too. APPROVED.

Comment 5 Andreas Schneider 2014-04-29 12:11:06 UTC
New Package SCM Request
=======================
Package Name: tmate
Short Description: Instant terminal sharing
Owners: asn
Branches: f20
InitialCC: jhrozek

Comment 6 Gwyn Ciesla 2014-04-29 12:40:48 UTC
Git done (by process-git-requests).

Comment 7 Christopher Meng 2014-04-29 12:49:52 UTC
1. Release:        2

Why did you think it's OK?

2. Source0:        https://github.com/nviennot/tmate/archive/1.8.9.tar.gz

Why not use %{version} macro(trivial)?

3. Why still have %defattr(-,root,root)?

Comment 8 Fedora Update System 2014-04-29 14:15:41 UTC
tmate-1.8.9-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tmate-1.8.9-3.fc20

Comment 9 Fedora Update System 2014-04-30 04:05:51 UTC
tmate-1.8.9-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-05-08 10:02:33 UTC
tmate-1.8.9-3.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.